<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample08b.aspx.cs" Inherits="Sample08b" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 8b</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
		<div>
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 8b - Two connected grids utilizing RowClickAction="selectrow"</h3>
			<div style="width: 930px; overflow:auto">
				<div style="width:440px; float:left">
					<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
						SQL="Select ProductId, ProductName From Products"
						EditPrimaryKeys="ProductId"
						DisplayNavBar="both"
						GridCellWidths="100,300"
						GridDisplayIndex="false"
						RowRollOverEffect="True"
						RowClickAction="selectrow" OnSelectRowClick="AxpDataGrid1_SelectRowClick"></Axp:AxpDataGrid>
				</div>
				<div style="width:400px; float:left;">
					<Axp:AxpDataGrid id="AxpDataGrid2" runat="server" 
						DeleteSql="Delete From Products"
						EditSql="Select * From Products"
						EditPrimaryKeys="ProductId"
						EditOptions="ALL NOVIEW"
						EditNewPKStatement="autoincrement"
						DisplayType="form"
						UseDataBinding="True"
						DisplayNavBar="none" OnDeleteClick="AxpDataGrid2_DeleteClick" OnInsertClick="AxpDataGrid2_InsertClick" OnUpdateClick="AxpDataGrid2_UpdateClick"></Axp:AxpDataGrid>
				</div>
			</div>
			<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b><br><br>  
		</div>
  </form>
</body>
</html>
