﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample10.aspx.cs" Inherits="Sample10" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 10</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 10</h3>
		<p>
			Click on CustomerID to edit the customer in a separate page.
		</p>
		<p>
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 					
				SQL="Select OrderId, CustomerId, OrderDate, ShippedDate From Orders"
				FormSQL="Select * From Orders"
				EditPrimaryKeys="OrderId"
				GridLinkIndex="1"					
				FormCellWidths="100,300"
				GridDisplayIndex=False
				DisplayNavBar="both"></Axp:AxpDataGrid>
		</p>
		<b>© Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
