using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Sample11 : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		AxpDataGrid1.AddEditLookup("ReportsTo", "Employees", "EmployeeID", "FirstName + ' ' + LastName AS Name", "2", true);
		SetEditFields();
	}

	private void SetEditFields()
	{
		Axezz.WebControls.EditFieldItem edit1 = new Axezz.WebControls.EditFieldItem();
		edit1.ColumnName = "City";
		edit1.DefaultValue = "London";
		AxpDataGrid1.SetEditField(edit1);

		Axezz.WebControls.EditFieldItem edit2 = new Axezz.WebControls.EditFieldItem();
		edit2.ColumnName = "ReportsTo";
		edit2.Caption = "Reports to";
		edit2.DefaultValue = "1";
		AxpDataGrid1.SetEditField(edit2);

		Axezz.WebControls.EditFieldItem edit3 = new Axezz.WebControls.EditFieldItem();
		edit3.ColumnName = "HireDate";
		edit3.DefaultValue = DateTime.Today;
		AxpDataGrid1.SetEditField(edit3);

		Axezz.WebControls.EditFieldItem edit4 = new Axezz.WebControls.EditFieldItem();
		edit4.ColumnName = "Notes";
		edit4.Rows = 10;
		AxpDataGrid1.SetEditField(edit4);

		Axezz.WebControls.EditFieldItem edit5 = new Axezz.WebControls.EditFieldItem();
		edit5.ColumnName = "LastName";
		edit5.Required = true;
		AxpDataGrid1.SetEditField(edit5);

		Axezz.WebControls.EditFieldItem edit6 = new Axezz.WebControls.EditFieldItem();
		edit6.ColumnName = "FirstName";
		edit6.Required = true;
		AxpDataGrid1.SetEditField(edit6);
	}

}
