﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample16.aspx.cs" Inherits="Sample16" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 16</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 16</h3>
		<p>
		Construct SQL dynamically based on Search criteria<br>
		Use WebControls.TextBox as input text boxes
		</p>
		<table>
			<tr>
				<td>Product Name LIKE</td>
				<td><asp:TextBox ID="ProductName" Runat="server" Columns="10"></asp:TextBox></td>
				<td>SupplierID =</td>
				<td><asp:TextBox ID="SupplierID" Runat="server" Columns="4"></asp:TextBox>
				<asp:Button ID="Search" Text="Search" Runat="server"></asp:Button>
				</td>
			</tr>
		</table>																				
		<p>
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server"
				DisplayNavBar="both"
				RowRollOverEffect="True"
				RowClickAction="openform"></Axp:AxpDataGrid>
		</p>
		<b>© Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
