using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Sample22 : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];

		// Let column 1 have a windows grid 3d style
		AxpDataGrid1.SetGridColAttributes(1, "style=\"text-align:right;padding-right:4px;background-color:#d4d0c8;border-top:#ffffff 1px solid;border-left: #ffffff 1px solid;\"");

		// Setting Productname to a required field since the grid is unable to detect it on some Access databases
		Axezz.WebControls.EditFieldItem efi = new Axezz.WebControls.EditFieldItem();
		efi.ColumnName = "ProductName";
		efi.Required = true;
		AxpDataGrid1.SetEditField(efi);
  }

	protected void AxpDataGrid1_Load(object sender, EventArgs e)
	{
		if (AxpDataGrid1.CurrentMode == "grid")
		{
			for (int i = 0; i < AxpDataGrid1.CurrentDataView.Count; i++)
			{
				DataRow row = AxpDataGrid1.CurrentDataView[i].Row;
				// Set column 1 (MyLink) value to an img
				if (row["MyLink"] != null)
					row["MyLink"] = "<img alt=\"Edit\" border=\"0\" src=\"../gfx/pencil.gif\">";

				// Set graphical symbol for boolean value
				if (bool.Parse(row["Discontinued"].ToString()))
					row["Available"] = "<img alt=\"Discontinued\" border=\"0\" src=\"../gfx/bullet_red.gif\">";
				else
					row["Available"] = "<img border=\"0\" src=\"../gfx/checkmark_green.gif\">";
			}
			// Set grid column header to a blank
			AxpDataGrid1.GridColumns["MyLink"].Caption = " ";
			// Hide the text based discontinued field
			AxpDataGrid1.GridColumns["Discontinued"].Visible = false;
			AxpDataGrid1.GridColumns["Available"].Caption = "Avail";
			AxpDataGrid1.GridColumns["Available"].SortExpression = "Discontinued";
		}
	}
}
