﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample23.aspx.cs" Inherits="Sample23" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 23</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
    <script language="javascript">
			var popUp; 

			function OpenCalendar(idname)
			{
				popUp = window.open('Calendar.aspx?id=' + idname + '&selected=' + document.forms[0].elements[idname].value, 
					'popupcal', 
					'width=165,height=208,left=200,top=250');
			}

			function SetDate(id, newDate)
			{
				popUp.close();
				document.forms[0].elements[id].value = newDate;
			}		    
    </script>
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 23</h3>
		How to include a Date Picker (using a separate aspx page)<br>
		<p>
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 					
				SQL="Select EmployeeID,TitleOfCourtesy,FirstName,LastName,Title From Employees"
				FormSQL="Select * From Employees"
				DeleteSQL="Delete From Employees"
				FormCellWidths="100,400"
				DisplayNavBar="both"					
				EditOptions="ALL NOVIEW"
				EditPrimaryKeys="EmployeeID"
				EditFieldsReadOnly="EmployeeID"
				FormFieldsHide="Photo"
				EditNewPKStatement="autoincrement" 
				RowRollOverEffect="True"
				RowClickAction="openform"
				GridDisplayIndex="False"></Axp:AxpDataGrid>
		</p>
		<b>© Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
