using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Sample30 : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];

		if (customText.Text.Length > 0)
		{
			AxpDataGrid1.UICustomStrings.Add("RecordsPerPage", customText.Text);
			// for a full list of possible keys, please see the resources folder in the download package
			// or even the /resources folder in this application
		}

		if (showCatalan.Checked)
		{
			AxpDataGrid1.UIResxUrl = "~/resources/";
			AxpDataGrid1.UICulture = "es-CA";		// this is not an official locale code in .net but it will work for us.
		}
		else if (RadioButtonList1.SelectedIndex >= 0)
		{
			System.Globalization.CultureInfo ci = new System.Globalization.CultureInfo(RadioButtonList1.SelectedValue);
			System.Threading.Thread.CurrentThread.CurrentUICulture = ci;
			System.Threading.Thread.CurrentThread.CurrentCulture = ci;
		}		
  }

	protected void showCatalan_CheckedChanged(object sender, EventArgs e)
	{
		RadioButtonList1.SelectedIndex = -1;
		RadioButtonList1.Enabled = !showCatalan.Checked;
	}

}
