Imports System.Configuration.ConfigurationManager

Partial Class Sample11
	Inherits System.Web.UI.Page

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")
		AxpDataGrid1.AddEditLookup("ReportsTo", "Employees", "EmployeeID", "FirstName + ' ' + LastName AS Name", "2", True)
		SetEditFields()
	End Sub

	Private Sub SetEditFields()
		Dim edit1 As New Axezz.WebControls.EditFieldItem
		With edit1
			.ColumnName = "City"
			.DefaultValue = "London"
		End With
		AxpDataGrid1.SetEditField(edit1)

		Dim edit2 As New Axezz.WebControls.EditFieldItem
		With edit2
			.ColumnName = "ReportsTo"
			.Caption = "Reports to"
			.DefaultValue = "1"
		End With
		AxpDataGrid1.SetEditField(edit2)

		Dim edit3 As New Axezz.WebControls.EditFieldItem
		With edit3
			.ColumnName = "HireDate"
			.DefaultValue = DateTime.Today
		End With
		AxpDataGrid1.SetEditField(edit3)

		Dim edit4 As New Axezz.WebControls.EditFieldItem
		With edit4
			.ColumnName = "Notes"
			.Rows = 10
		End With
		AxpDataGrid1.SetEditField(edit4)

		Dim edit5 As New Axezz.WebControls.EditFieldItem
		With edit5
			.ColumnName = "LastName"
			.Required = True
		End With
		AxpDataGrid1.SetEditField(edit5)

		Dim edit6 As New Axezz.WebControls.EditFieldItem
		With edit6
			.ColumnName = "FirstName"
			.Required = True
		End With
		AxpDataGrid1.SetEditField(edit6)
	End Sub

End Class
