<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Sample17.aspx.vb" Inherits="Sample17" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>AxpDataGrid Sample 17</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 17</h3>
		<p>Categories
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
				SQL="Select * From Categories"
				DeleteSQL="Delete From Categories"
				DisplayNavBar="both"
				EditOptions="ALL NOVIEW"
				EditPrimaryKeys="CategoryId"
				EditFieldsReadOnly="1"
				GridDisplayIndex="False"
				EditNewPKStatement="autoincrement"
				RowRollOverEffect="True"
				RowClickAction="openform"></Axp:AxpDataGrid>
		</p>

		<p>Products
			<Axp:AxpDataGrid id="AxpDataGrid2" runat="server" 	
				EditSQL="Select * From Products"
				DeleteSQL="Delete From Products"
				DisplayNavBar="both"					
				EditOptions="ALL NOVIEW"
				EditPrimaryKeys="ProductId"
				GridDisplayIndex="False"
				EditFieldsReadOnly="1" 
				EditNewPKStatement="autoincrement"
				RowRollOverEffect="True"
				RowClickAction="openform"></Axp:AxpDataGrid>
		</p>
		<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
