<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Sample24.aspx.vb" Inherits="Sample24" %>
<%@ Register Src="SkinChooser.ascx" TagName="SkinChooser" TagPrefix="uc1" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!--
NB! Scrollable grid is Not W3C compliant

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
	<title>AxpDataGrid Sample 24</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyle<%=SkinChooser1.SelectedStyleSheet%>.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 24</h3>
		<p>
			<uc1:SkinChooser ID="SkinChooser1" runat="server" />
		</p>
		<p>
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
				SQL="Select ProductId,ProductName,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder From Products"
				FormSQL="Select * from Products"
				DisplayNavBar="both"
				EditOptions="ALL"
				EditPrimaryKeys="ProductId"
				EditFieldsReadOnly="1" 
				EditNewPKStatement="autoincrement"
				RowRollOverEffect="True"
				RowClickAction="openform"
				GridDisplayIndex="False"
				Scroll="Vertical"
				ScrollHeight="150px"
				GridCellWidths="30,200,150,40,60,60"
				GridDisplayFieldNames="Id,Product Name,Quantity Per Unit,Price,In Order,In Stock"></Axp:AxpDataGrid>
		</p>
		<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
