<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Sample26.aspx.vb" Inherits="Sample26" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>AxpDataGrid Sample 26</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
  <script language="javascript">
		function checkAll(check) {
			var theForm = document.forms['form1'];
			var pattern = "AxpDataGrid1Chk_"
			var i=0;
			for( i=0 ; i<theForm.elements.length ; i++) {
				if (theForm.elements[i].name.substr(0, pattern.length) == pattern)
					theForm.elements[i].checked = check;
			}
		}
  </script>
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 26 - CheckBoxGrid</h3>
		<p>Selected ProductId's are stored in ViewState.</p>
		<table style="border:1px solid gray;background-color:#eeeeee;">
			<tr>
				<td align="right">
					<a href="javascript:checkAll(true)">Check all</a>&nbsp;&nbsp;
					<a href="javascript:checkAll(false)">Uncheck all</a>
				</td>
				<td>
					<asp:Button id="ButtonStore" runat="server" Text="Add selected"></asp:Button>
					<asp:Button id="ButtonClear" runat="server" Text="Clear all"></asp:Button>
				</td>
			</tr>
			<tr>
				<td valign="top">
					<Axp:AxpDataGrid id="AxpDataGrid1" 
						runat="server" 
						SQL="Select ProductId, ProductName, '' As ClickMe From Products"
						DisplayNavBar="both"
						RowRollOverEffect="True"
						></Axp:AxpDataGrid>
				</td>
				<td valign="top">
					<P>Product Id's selected<br>
					<asp:Label id="Label1" runat="server"></asp:Label></P>					
				</td>
			</tr>
		</table>
		<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
