<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Sample29b.aspx.vb" Inherits="Sample29b" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<%@ Register TagPrefix="awg" Namespace="Axezz.WebGadgets" Assembly="AxezzWebGadgets" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>AxpDataGrid Sample 29b</title>
    <!--  General Page Style: -->
    <link href="../StyleSheet.css" rel="stylesheet">
    
    <!--  AxpDataGrid Style: -->
    <link href="../css/AxpStyleXPGrid2.css" rel="stylesheet">
    <!--  Set AxpDataGrid Width=100% (ensures that the Edit Form will be of 100% Width -->
    <style type="text/css">    
			table.AxpDataGrid
			{	
				width: 100%;
			}
    </style>

    <!--  LinkSelector Style -->
    <link type="text/css" rel="stylesheet" href="../App_Themes/OrangeSilver/LinkSelector.css" >
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 29b - Integrating with Axezz.WebGadgets.LinkSelector</h3>
		
		<p>
			Using a single LinkSelector (LinkList) as a filter. No database editing in this sample. Less custom code than <a href="Sample29.aspx">Sample29</a>
		</p>
		
		<p>
			<a target="_blank" href="http://www.axezz.com/WebGadgets">More information about WebGadgets</a> TabStrip, LinkList and Navigation Bar.
		</p>
		
		<div style="width:700px;padding-top:10px">
			
			<awg:LinkSelector id="LinkSelector1" runat="server" SelectedItem="All" PreMadeList="DefaultList">
				<DisabledItemStyle CssClass="wgls_disabledlink"></DisabledItemStyle>
				<LinkButtonStyle CssClass="wgls_stdlink"></LinkButtonStyle>
				<SelectedItemStyle CssClass="wgls_selectedlink"></SelectedItemStyle>					
			</awg:LinkSelector>
									
			<axp:AxpDataGrid id="AxpDataGrid1" runat="server" 				
				DisplayNavBar="both"
				GridDisplayIndex="False"
				DisplayRecordsPerPageSelect="False">
			</axp:AxpDataGrid>
		</div>						
						
			<br>
		<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
