Imports System.Configuration.ConfigurationManager

Partial Class Sample29b
	Inherits System.Web.UI.Page

	Private baseSql As String = "SELECT * FROM Products"

	Private Property Filter1Value() As String
		Get
			Dim o As Object = ViewState("Filter1Value")
			If o Is Nothing Then
				Return String.Empty
			Else
				Return CStr(o)
			End If
		End Get
		Set(ByVal Value As String)
			ViewState("Filter1Value") = Value
		End Set
	End Property


	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")
		' Set UseDataBinding=true since we are using manual DataBinding.
		AxpDataGrid1.UseDataBinding = True

		If Not Page.IsPostBack Then
			' Set the initial ViewState FilterValue:
			Filter1Value = LinkSelector1.SelectedItem
		End If
	End Sub

	Private Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
		' If filter change, Clear AxpDataGrid State
		If (LinkSelector1.SelectedItem <> Filter1Value) Then
			AxpDataGrid1.ClearState = True
		End If

		' Store currently selected value in ViewState so we can check it on next page postback
		Filter1Value = LinkSelector1.SelectedItem

		' Set AxpDataGrid SQL
		Dim sqlFilter As String = String.Empty
		If (Filter1Value <> "All" And Filter1Value.Length = 1) Then		' Length check to avoid invalid sql or injection attacks
			sqlFilter += " WHERE ProductName LIKE '" + Filter1Value + "%'"
		End If
		AxpDataGrid1.SQL = baseSql + sqlFilter
		AxpDataGrid1.DataBind()

	End Sub


End Class
