Imports System.Configuration.ConfigurationManager

Partial Class Sample30
	Inherits System.Web.UI.Page

	Protected Sub showCatalan_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles showCatalan.CheckedChanged
		RadioButtonList1.SelectedIndex = -1
		RadioButtonList1.Enabled = Not showCatalan.Checked
	End Sub

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")

		If customText.Text.Length > 0 Then
			AxpDataGrid1.UICustomStrings.Add("RecordsPerPage", customText.Text)
			' for a full list of possible keys, please see the resources folder in the download package
			' or even the /resources folder in this application
		End If

		If showCatalan.Checked Then
			AxpDataGrid1.UIResxUrl = "~/resources/"
			AxpDataGrid1.UICulture = "es-CA"			' this is not an official locale code in .net but it will work for us.
		ElseIf RadioButtonList1.SelectedIndex >= 0 Then
			Dim ci As New System.Globalization.CultureInfo(RadioButtonList1.SelectedValue)
			System.Threading.Thread.CurrentThread.CurrentUICulture = ci
			System.Threading.Thread.CurrentThread.CurrentCulture = ci
		End If
	End Sub

End Class
