<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Sample31.aspx.vb" Inherits="Sample31" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<%@ Register TagPrefix="uc1" TagName="PagerLinkSelector" Src="PagerLinkSelector.ascx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>AxpDataGrid Sample 31</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
  <!--  LinkSelector Style -->
  <link type="text/css" rel="stylesheet" href="../App_Themes/OrangeSilver/LinkSelector.css" >
  <style type="text/css">
		.noUnderline { TEXT-DECORATION: none }
		.noUnderline:hover { BACKGROUND-COLOR: #dddddd; TEXT-DECORATION: underline }
	</style>
</head>
<body>
  <form id="form1" runat="server">
  <div>
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 31 - Page Number Navigation using WebGadgets.LinkSelector</h3>
			<p style="COLOR:red">
				Due to the 30 records limit on unlicensed version, the grid has
				a PageSize=3. The number of Page Links in the Pager can be set on the Public Field 
				PageLinksPerSection of the PagerLinkSelector.ascx user control.
			</p>
			<p>
				<a target="_blank" href="http://www.axezz.com/WebGadgets">More information about WebGadgets</a> TabStrip, LinkList and Navigation Bar.
			</p>

			<div style="WIDTH:700px;PADDING-TOP:10px">
				<uc1:PagerLinkSelector id="Pager1" runat="server"></uc1:PagerLinkSelector>				
			</div>
			
			<div style="MARGIN-TOP:4px">
				<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
					SQL="Select * From Products"
					DeleteSQL="Delete From Products"
					DisplayNavBar="both"
					PageSize="3"
					EditOptions="ALL NOVIEW"
					EditPrimaryKeys="ProductId"
					EditFieldsReadOnly="1"
					EditNewPKStatement="autoincrement"
					RowRollOverEffect="True"
					RowClickAction="openform"
					></Axp:AxpDataGrid>
			</div>	

			<div style="WIDTH:700px;PADDING-TOP:10px">
				<uc1:PagerLinkSelector id="Pager2" runat="server"></uc1:PagerLinkSelector>				
			</div>

			<p>
				<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>				
			</p>
  </div>
  </form>
</body>
</html>
