<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Sample29.aspx.vb" Inherits="AxpDBNetVBSample.Sample29"%>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<%@ Register TagPrefix="awg" Namespace="Axezz.WebGadgets" Assembly="AxezzWebGadgets" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
  <head>
    <title>AxpDataGrid Sample 29</title>
    <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    
    <!--  General Page Style: -->
    <link href="../StyleSheet.css" rel="stylesheet">

    
    <!--  AxpDataGrid Style: -->
    <link href="../css/AxpStyleXPGrid1.css" rel="stylesheet">
    <!--  Set AxpDataGrid Width=100% (ensures that the Edit Form will be of 100% Width -->
    <!--  Change border color -->
    <style type="text/css">    
			table.AxpDataGrid
			{	
				width: 100%;
				border: 1px solid #919b9c;
			}
    </style>


    <!--  LinkSelector Style -->
    <link type="text/css" rel="stylesheet" href="../Themes/XP/LinkSelector.css" >
    <!--  Add border to the LinkSelectorPanel -->
    <style type="text/css">			
			.wgls_tabbox
			{
				border: 1px solid #919b9c;
				border-top: 0px;
			}    
    </style>
    
  </HEAD>
  <body >
    <form id="Form1" method="post" runat="server">
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 29 - Integrating with Axezz.WebGadgets.LinkSelector</h3>
			
			<p>
				Using two LinkSelectors (one TabStrip and one Navigation Bar), as a filter mechanism with AxpDataGrid.
			</p>
			
			<p>
				<a target="_blank" href="http://www.axezz.com/WebGadgets">More information about WebGadgets</a> TabStrip, LinkList and Navigation Bar.
			</p>

			<div style="background-color:#eeeeee;padding:8px;border:1px solid #cecece;width:840px">
			
			<div style="width:820px;">
			
				<awg:LinkSelector id="LinkSelector1" runat="server" 
					SelectedItem="All" 
					Width="100%"
					PreMadeList="DefaultList"
					LinkSelectorType="ThemedTabStrip">
				</awg:LinkSelector>
				
				<awg:LinkSelectorPanel id="LinkSelectorPanel1" runat="server" Width="100%" CssClass="wgls_tabbox">
				
					<table border="0" cellspacing="0" cellpadding="2">
						<tr>
							<td valign="top" width="130px" height="520px">	

								<div style="padding:2px;">
									<awg:LinkSelector id="LinkSelector2" runat="server" 
										SelectedItem="All"
										Width="120px"
										LinkSelectorType="ThemedNavigationBar">								
									</awg:LinkSelector>
								</div>
								
							</td>
							
							<td valign="top" width="670px" align="center" style="padding-left:4px;">
								<div style="padding:2px">
									<axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
										EditSQL="Select * From Products"
										DeleteSQL="Delete From Products"
										EditPrimaryKeys="ProductId"
										GridFieldsHide="ProductId"
										GridDisplayFieldNames=",Category,Product Name,Supplier"
										EditNewPKStatement="autoincrement"
										DisplayNavBar="both"										
										Width="100%"
										GridCellWidths=",100,200,"
										GridDisplayIndex="False"
										RowRollOverEffect="True"
										RowClickAction="openform"
										EditOptions="ALL NOVIEW">
									</axp:AxpDataGrid>
								</div>
							</td>
							
						</tr>
					</table>
					
				</awg:LinkSelectorPanel>
			</div>
			
			</div>
			
			<br>
			<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b><br><br>

    </form>
  </body>
</HTML>
