<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Sample29b.aspx.vb" Inherits="AxpDBNetVBSample.Sample29b"%>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<%@ Register TagPrefix="awg" Namespace="Axezz.WebGadgets" Assembly="AxezzWebGadgets" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
  <head>
    <title>AxpDataGrid Sample 29b</title>
    <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    
    <!--  General Page Style: -->
    <link href="../StyleSheet.css" rel="stylesheet">
    
    <!--  AxpDataGrid Style: -->
    <link href="../css/AxpStyleXPGrid2.css" rel="stylesheet">
    <!--  Set AxpDataGrid Width=100% (ensures that the Edit Form will be of 100% Width -->
    <style type="text/css">    
			table.AxpDataGrid
			{	
				width: 100%;
			}
    </style>

    <!--  LinkSelector Style -->
    <link type="text/css" rel="stylesheet" href="../Themes/OrangeSilver/LinkSelector.css" >
    
  </HEAD>
  <body >
    <form id="Form1" method="post" runat="server">
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 29b - Integrating with Axezz.WebGadgets.LinkSelector</h3>
			
			<p>
				Using a single LinkSelector (LinkList) as a filter. No database editing in this sample. Less custom code than <a href="Sample29.aspx">Sample29</a>
			</p>
			
			<p>
				<a target="_blank" href="http://www.axezz.com/WebGadgets">More information about WebGadgets</a> TabStrip, LinkList and Navigation Bar.
			</p>
			
			<div style="width:700px;padding-top:10px">
				
				<awg:LinkSelector id="LinkSelector1" runat="server" SelectedItem="All" PreMadeList="DefaultList">
					<DisabledItemStyle CssClass="wgls_disabledlink"></DisabledItemStyle>
					<LinkButtonStyle CssClass="wgls_stdlink"></LinkButtonStyle>
					<SelectedItemStyle CssClass="wgls_selectedlink"></SelectedItemStyle>					
				</awg:LinkSelector>
				
				<axp:AxpDataGrid id="AxpDataGrid1" runat="server" 				
					DisplayNavBar="both"
					GridDisplayIndex="False"
					DisplayRecordsPerPageSelect="False">
				</axp:AxpDataGrid>
			</div>						
						
			<br>
			
			<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b><br><br>

    </form>
  </body>
</HTML>
