﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample08.aspx.cs" Inherits="Sample08" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 8</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
	<!-- THIS SCRIPT IS REQUIRED TO MAKE THINGS WORK ON THIS PAGE -->    
	<script language="javascript">
		function setLinkField(productId) {
			var theForm = document.forms['form1'];
			theForm.ProductId.value = productId;
			theForm.submit();
			return false;
		}
	</script>
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<!-- Hidden form value that is beeing set by the JavaScript above when clicking in the Grid  -->
		<input type="hidden" id="ProductId" name="ProductId" value="<%=ProductId%>">
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 8</h3>
		<a href="Sample08b.aspx">See also Sample8b, utilizing RowClickAction="selectrow"</a><br /><br />
		<!-- All properties are set in the code behind file, so dont try to use the Designer here! -->
		<table style="background-color:#dddddd; border:solid 1px black" cellpadding="4">
			<tr>
				<td valign=top>
					<Axp:AxpDataGrid id="AxpDataGrid1" Tag="1" runat="server" OnLoad="AxpDataGrid1_Load"></Axp:AxpDataGrid>
				</td>
				<td valign=top>
					<Axp:AxpDataGrid id="AxpDataGrid2" Tag="2" runat="server" OnDeleteClick="AxpDataGrid2_DeleteClick" OnInsertClick="AxpDataGrid2_InsertClick" OnUpdateClick="AxpDataGrid2_UpdateClick"></Axp:AxpDataGrid>
				</td>
			</tr>
		</table>
		<b>© Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
  </div>
  </form>
</body>
</html>
