using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Sample08b : System.Web.UI.Page
{
	private string ProductId
	{
		get { object o = ViewState["ProductId"]; return ((o == null) ? string.Empty : (string)o); }
		set { ViewState["ProductId"] = value; }
	}

  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		AxpDataGrid2.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		AxpDataGrid2.AddEditLookup("SupplierId", "Suppliers", "SupplierId", "CompanyName", "2", false);
		AxpDataGrid2.AddEditLookup("CategoryId", "Categories", "CategoryId", "CategoryName", "2", false);
  }

	private bool _rowClicked = false;
	protected void AxpDataGrid1_SelectRowClick(object sender, System.EventArgs e)
	{
		ProductId = ((Axezz.WebControls.RowClickEventArgs)e).PrimaryKeyValues;
		AxpDataGrid2.ClearState = true;
		_rowClicked = true;
	}

	private void Grid2DataBind()
	{
		if (ProductId.Length > 0)
			AxpDataGrid2.SQL = String.Format("Select * From Products Where ProductId={0}", ProductId);
		else
			AxpDataGrid2.SQL = "Select * From Products";
		if (_rowClicked) // make sure we are always in edit mode when a row is selected
			AxpDataGrid2.CurrentMode = "formedit";
		AxpDataGrid2.DataBind();
	}

	private void RefreshGrid1()
	{
		AxpDataGrid1.UseDataBinding = true;
		AxpDataGrid1.AxConnection.Connection.Close();
		AxpDataGrid1.AxConnection.Connection.Open();
		AxpDataGrid1.RecordCount = -1;		// force a recount 
		AxpDataGrid1.DataBind();
		AxpDataGrid1.UseDataBinding = false;
	}

	protected void Page_PreRender(object sender, System.EventArgs e)
	{
		Grid2DataBind();
		if (_grid1MustBeRefreshed)
			RefreshGrid1();
	}

	private bool _grid1MustBeRefreshed = false;
	protected void AxpDataGrid2_InsertClick(object sender, System.EventArgs e)
	{
		_grid1MustBeRefreshed = true;
		AxpDataGrid1.ClearState = true;
	}

	protected void AxpDataGrid2_UpdateClick(object sender, System.EventArgs e)
	{
		_grid1MustBeRefreshed = true;
	}

	protected void AxpDataGrid2_DeleteClick(object sender, System.EventArgs e)
	{
		_grid1MustBeRefreshed = true;
		AxpDataGrid1.ClearState = true;
	}

}
