using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Samples_Sample09b : System.Web.UI.Page
{
	private string CustomerId
	{
		get { object o = ViewState["CustomerId"]; return ((o == null) ? string.Empty : (string)o); }
		set { ViewState["CustomerId"] = value; }
	}

  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		AxpDataGrid2.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		if (AxpDataGrid2.AxConnection.DatabaseEngine == "ACCESS")
			AxpDataGrid2.AddEditLookup("EmployeeId", "Employees", "EmployeeId", "FirstName & ' ' & LastName", "2", true);
		else
			AxpDataGrid2.AddEditLookup("EmployeeId", "Employees", "EmployeeId", "FirstName + ' ' + LastName", "2", true);

		AxpDataGrid2.AddEditLookup("ShipVia", "Shippers", "ShipperID", "CompanyName", "2", true);
	}

	private bool _rowClicked = false;
	protected void AxpDataGrid1_SelectRowClick(object sender, EventArgs e)
	{
		CustomerId = ((Axezz.WebControls.RowClickEventArgs)e).PrimaryKeyValues;
		AxpDataGrid2.ClearState = true;
		_rowClicked = true;
	}

	private void Grid2DataBind()
	{
		// For Insert purposes, set the CustomerId default value 
		Axezz.WebControls.EditFieldItem editCustomerIdField = new Axezz.WebControls.EditFieldItem();
		editCustomerIdField.ColumnName = "CustomerId";
		editCustomerIdField.DefaultValue = CustomerId;
		AxpDataGrid2.SetEditField(editCustomerIdField);

		// Construct Sql for grid 2
		string sql = "Select OrderId, CustomerId, OrderDate, RequiredDate, ShippedDate, Freight FROM Orders";
		if (CustomerId != String.Empty)
			sql = sql + " WHERE CustomerId='" + CustomerId + "'";
		else
			sql = sql + " WHERE 1=2"; // ensures that we get an empty recordset 

		AxpDataGrid2.SQL = sql;

		if (_rowClicked) // make sure we are always in grid mode when a row is selected
			AxpDataGrid2.CurrentMode = "grid";

		AxpDataGrid2.DataBind();
	}

	protected void Page_PreRender(object sender, System.EventArgs e)
	{
		Grid2DataBind();
	}

}
