﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Sample19.aspx.cs" Inherits="Sample19" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>AxpDataGrid Sample 19</title>
	<link href="../StyleSheet.css" type="text/css" rel="stylesheet">
	<link href="../css/AxpStyleXPGrid1.css" type="text/css" rel="stylesheet">
</head>
<body>
  <form id="form1" runat="server">
  <div>
		<a href="../Default.aspx"><b>Back to sample index</b></a><br>
		<h3>Sample 19</h3>
		In this sample we use Server Side data validation to make the data field "Country" contain "UK" or "USA" only.
		<p>
			<asp:Label ID="ErrorMessageLabel" Runat="server" Font-Bold="True" ForeColor="red"></asp:Label>
			<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 					
				SQL="Select EmployeeID,TitleOfCourtesy,FirstName,LastName,Title From Employees"
				FormSQL="Select * From Employees"
				DeleteSQL="Delete From Employees"
				FormCellWidths="100,400"				
				DisplayNavBar="both"
				EditOptions="ALL NOVIEW"
				EditPrimaryKeys="EmployeeID"
				EditFieldsReadOnly="1"
				FormFieldsHide="Photo"
				EditNewPKStatement="autoincrement" 
				RowRollOverEffect="True" 
				RowClickAction="openform" 
				GridDisplayIndex="False" OnInsertClick="AxpDataGrid1_InsertClick" OnUpdateClick="AxpDataGrid1_UpdateClick"></Axp:AxpDataGrid>
		</p>
		<b>© Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b>
				
  </div>
  </form>
</body>
</html>
