using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Sample19 : System.Web.UI.Page
{
	private bool validationFailed = false;

  protected void Page_Load(object sender, EventArgs e)
  {
		AxpDataGrid1.ConnectionString = ConfigurationManager.AppSettings["ConnectionString"];
		AxpDataGrid1.UseDataBinding = true;
		ErrorMessageLabel.Visible = false;
	}

	private void ValidateUpdate()
	{
		if (AxpDataGrid1.GetUpdateValue("Country") != "USA" && AxpDataGrid1.GetUpdateValue("Country") != "UK")
		{
			AxpDataGrid1.EditPerformUpdates = false;
			validationFailed = true;

			// Show error message in an asp.net label above the grid
			ErrorMessageLabel.Text = "Only USA and UK allowed in Country Field!<br><br>";
			ErrorMessageLabel.Visible = true;

			// Show error message below the input text field.
			Axezz.WebControls.EditFieldItem edit1 = new Axezz.WebControls.EditFieldItem();
			edit1.ColumnName = "Country";
			edit1.HtmlAfter = "<font color='red'><strong>&nbsp;Only USA and UK allowed in Country Field</strong></font>";
			AxpDataGrid1.SetEditField(edit1);
		}
	}

	protected void AxpDataGrid1_InsertClick(object sender, EventArgs e)
	{
		ValidateUpdate();
	}

	protected void AxpDataGrid1_UpdateClick(object sender, EventArgs e)
	{
		ValidateUpdate();
	}

	protected void Page_PreRender(object sender, EventArgs e)
	{
		AxpDataGrid1.DataBind();
		AxpDataGrid1.ShowPostedValues = validationFailed;
	}

}
