<%@ Page language="c#" Codebehind="Default.aspx.cs" AutoEventWireup="false" Inherits="AxpDBNetCSSample._Default" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
    <title>AxpDataGrid Samples - C# asp.net 1.1</title>
    <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <LINK href="StyleSheet.css" rel=STYLESHEET >
  </HEAD>
  <body >

    <form id="Form1" method="post" runat="server">
    
			<table>
				<tr>
					<td width="600">
										
						<h2>AxpDataGrid Samples - C# asp.net 1.1</h2>
						<h3>&copy; Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></h3>
						Home page <a target="_blank" href="http://www.axezz.com/axpdatagrid/">http://www.axezz.com/axpdatagrid/</a>

						<P>
						<b>Running the samples on Microsoft Access Northwind database.</b><br>
						<br>
						All samples use the American version of Microsoft Access NWIND.mdb demo database. (not included with AxpDataGrid)
						<a target="blank" href="http://office.microsoft.com/downloads/2000/Nwind2K.aspx">Download the mdb file from Microsoft</a><br>
						<br>
						The Connection String in the Web.config file is pointing to "C:\Inetpub\wwwroot\axpdb\NWind.mdb" <br>
						so you might need to change it or copy your mdb file to the same location.<br>
						<br>
						Connection string value=<br><nobr>"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Inetpub\wwwroot\axpdb\NWind.mdb"</nobr>
						<br>
						<br>
						When a MDB file is used as a datasource in an ASP.NET application make sure to grant full access rights to the database file and
						its containing directory to the ASP.NET anonymous user. (Locate the directory in File Manager, select Properties/Security/Add.
						Select and grant rights to the ASP.NET user.)
						</P>
						
						<P>
						<b>Running the samples on Microsoft SQL Server 2000 Northwind database.</b><br>
						<br>
						Example Connection string value=<br><nobr>"Provider=sqloledb;Data Source=localhost;Initial Catalog=Northwind;User Id=<i>UserId</i>;Password=<i>password</i>"</nobr>
						</p> 
						<p>
						<a target="_blank" title="Connection string post in axezz forums" href="http://forums.axezz.com/ShowPost.aspx?PostID=3">Read more about Connection Strings</a>
						</p>
							
						<h3>Samples</h3>

						<ul>

							<li>
								<a href="Samples/Sample1.aspx">1. Very simple page.</a><br>
								Grid and Form view. All that is needed is to specify db connection and the SQL.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample2.aspx">2. Table edit.</a><br>
								Same as 1 with data editing added.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample3.aspx">3. Mouse roll over effect and row click action.</a><br>
								Applying the effects to Sample2.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample3b.aspx">3b. Table edit with lookup values.</a><br>
								Same as 3 with lookup values in the edit form. Also removed the Data View form.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample4.aspx">4. Apply a different skin</a><br>
								Skinning is done by changing stylesheet and gfx directory.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample5.aspx">5. A skin browser</a><br>
								View all the skins
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample6.aspx">6. Form mode only + Regular expression</a><br>
								View several data records as consecutive forms. Perform some data formatting using regular expression.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample7.aspx">7. Vertical Bar Chart</a><br>
								Simple but efficient Bar Chart
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample8b.aspx">8b. Two AxpDataGrid objects connected on the same page</a><br>
								One is displaying a grid, the other a form. When clicking on a record in the grid,
								the record can be edited in the form.
								<a href="Samples/Sample8.aspx">See old sample using links and javascript</a>
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample9b.aspx">9b. Master detail with editing of the detail table</a><br>
								Using Customer-Order relationship from the Northwind database.
								<a href="Samples/Sample9.aspx">See old sample using links and javascript</a>
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample10.aspx">10. Grid Custom hyperlink to edit a data record in a separate aspx page</a><br>
								Displaying orders in the grid. Clicking orderId displays order details in form view mode.<br>
								Clicking customerid opens a separate aspx page where customer details can be edited.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample11.aspx">11. Setting default values on Insert etc</a><br>
								How to set default column values and use other Form Edit Fields attributes.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample12.aspx">12. Grid and Page Event viewer</a><br>
								AxpDataGrid and page events in the order they occur.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample13.aspx">13. Using a parameterized stored procedure as data source</a><br>
								This sample <b>requires MS SQL Server 2000</b>
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample14.aspx">14. Defining your own data source</a><br>
								The datasource in this sample is a .Net DataTable
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample15.aspx">15. Searching 1</a><br>
								Construct SQL dynamically and perform a search.<br>
								Example using HtmlControls.HtmlInputText as text input fields
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample16.aspx">16. Searching 2</a><br>
								Construct SQL dynamically and perform a search.<br>
								Example using WebControls.TextBox as text input fields
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample17.aspx">17. Master Detail</a><br>
								Full editing capabilities in master and detail tables.<br>
								Using Categories as master, Products as detail table.
								<br>
								<br>
							</li>
							
							<li>
								<a href="Samples/Sample18.aspx">18. Altering appearance using the properties GridColumns, FormViewColumns and CurrentDataView</a><br>
								Displays how to change appearance of the grid using these properties introduced in version 2.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample19.aspx">19. Adding Server side Custom Data Validation</a><br>
								Shows a simple technique for adding your own custom server side data validation on Insert and Update.
								<b>See also Sample 25</b>
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample20.aspx">20. Rich Text Edit</a><br>
								Rich Text Edit using Internet Explorer Html Edit capabilities.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample21.aspx">21. Datasource and Editing</a><br>
								How to use your own datasource and enable Editing
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample21b.aspx">21b. Datasources, Custom Editing</a><br>
								<b>NB. Sample made for Sql Server! See Sourcecode for required Database objects</b><br>
								Various Datasources and custom database update routines.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample22.aspx">22. Image link and other image columns</a><br>
								Using an image as a link to the edit page, displaying image instead of a boolean value
								<br>
								<br>
							</li>
							
							<li>
								<a href="Samples/Sample23.aspx">23. Date Picker</a><br>
								Shows an example on how to include a date picker (using a separate aspx page)
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample24.aspx">24. Scrollable Grid</a><br>
								A grid where the column headers are static and the grid rows is contained within
								a scrollable area.
								<br>
								<br>
							</li>
							
							<li>
								<a href="Samples/Sample24b.aspx">24b. Scalable Scrollable Grid</a><br>
								Scrollable Grid scaled to 100% width and height
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample25.aspx">25. Database Update Events</a><br>
								Utilizing Database Update Events to set Hard coded values and performing
								Server Side Data Validation.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample26.aspx">26. Grid with checkboxes</a><br>
								A technique for having a grid with checkboxes on each row and how to handle it server side.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample27b.aspx">27b. Select and get data values from a row in Grid Mode</a><br>
								<small>See <a href="Samples/Sample27.aspx">27</a> for an older sample using custom client side javascript.</small>
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample28.aspx">28. Data Entry Form</a><br>
								A data entry form with all options enabled (Add, Update, Delete, Copy).
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample29.aspx">29. Filtering using WebGadgets.LinkSelector</a><br>
								Using two LinkSelectors (one TabStrip and one Navigation Bar), as a filter mechanism with AxpDataGrid.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample29b.aspx">29b. Filtering using WebGadgets.LinkSelector</a><br>
								Using a single LinkSelector (LinkList) as a filter. No database editing in this sample.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample30.aspx">30. Localization Sample</a><br>
								Using alternative languages and strings in the User Interface.
								<br>
								<br>
							</li>

							<li>
								<a href="Samples/Sample31.aspx">31. Page Number Navigation</a><br>
								Using WebGadgets.LinkSelector.
								<br>
								<br>
							</li>
							
						</ul>
					
					
					</td>
				</tr>
			</table>
						
    </form>

  </body>
</HTML>
