<%@ Page language="c#" Codebehind="Sample8b.aspx.cs" AutoEventWireup="false" Inherits="AxpDBNetCSSample.Samples.Sample8b" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
    <title>AxpDataGrid Sample 8b</title>
    <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <link href="../StyleSheet.css" rel="stylesheet">
    <link href="../css/AxpStyleXPGrid1.css" rel="stylesheet">
  </HEAD>
  <body >
    <form id="Form1" method="post" runat="server">    
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 8b - Two connected grids utilizing RowClickAction="selectrow"</h3>			
			<div style="overflow: auto; width: 930px">
				<div style="float:left; width:440px">
					<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
						SQL="Select ProductId, ProductName From Products"
						EditPrimaryKeys="ProductId"
						DisplayNavBar="both"
						GridCellWidths="100,300"
						GridDisplayIndex="false"
						RowRollOverEffect="True"
						RowClickAction="selectrow"></Axp:AxpDataGrid>
				</div>
				<div style="float:left; width:400px">
					<Axp:AxpDataGrid id="AxpDataGrid2" runat="server" 
						DeleteSql="Delete From Products"
						EditSql="Select * From Products"
						EditPrimaryKeys="ProductId"
						EditOptions="ALL NOVIEW"
						EditNewPKStatement="autoincrement"
						DisplayType="form"
						UseDataBinding="True"
						DisplayNavBar="none"></Axp:AxpDataGrid>
				</div>
			</div>
			<b> Axezz, Oslo Norway 2003-<%=System.DateTime.Now.Year%></b><br><br>
    </form>
  </body>
</HTML>
