Imports System.Configuration.ConfigurationManager

Partial Class Sample08
	Inherits System.Web.UI.Page

	Protected ProductId As String = ""

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")
		AxpDataGrid1.SQL = "SELECT * FROM Products"
		AxpDataGrid1.GridCellWidths = "100"
		AxpDataGrid1.DisplayType = "grid"
		AxpDataGrid1.DisplayNavBar = "top"
		AxpDataGrid1.GridDisplayIndex = False
		AxpDataGrid1.GridFieldsShow = "2"
		AxpDataGrid1.OrderByFields = "2"
		AxpDataGrid1.GridFreeFormatCellDataFieldDelimiter = "%"	 ' handy since we are using a dummy html anchor below
		AxpDataGrid1.SetGridFreeFormatCellByCol(2, "<a class=""AXDBTable"" href=""#"" onclick=""return(setLinkField('%ProductId%'))"">%ProductName%</a>")
	End Sub

	Protected Sub AxpDataGrid1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid1.Load
	' AxpDataGrid2 (EDIT FORM)
		AxpDataGrid2.ConnectionString = AppSettings("ConnectionString")
		If CStr(Request("ProductId")) <> "" Then
			ProductId = Request("ProductId").ToString()
			If Session("ProductId") IsNot Nothing Then
				If Session("ProductId").ToString() <> ProductId Then
					AxpDataGrid2.ClearState = True
				End If
			End If
		ElseIf AxpDataGrid1.CurrentDataView.Count > 0 Then
			ProductId = CStr(AxpDataGrid1.CurrentDataView(0)("ProductId"))
		End If
		Session("ProductId") = ProductId

		AxpDataGrid2.SQL = "Select * FROM Products"
		If ProductId <> "" Then
			AxpDataGrid2.SQL = AxpDataGrid2.SQL + " WHERE ProductId = " + ProductId
		End If

		AxpDataGrid2.EditSQL = "Select * FROM Products"		 ' Always simplify the table Edit Sql to "select * from tablename"
		AxpDataGrid2.DeleteSQL = "Delete From Products"		 ' Required if Delete is enabled
		AxpDataGrid2.DisplayType = "form"
		AxpDataGrid2.EditOptions = "ALL NOVIEW"
		AxpDataGrid2.FormFieldsHide = "ProductId"
		AxpDataGrid2.EditNewPKStatement = "autoincrement"
		AxpDataGrid2.EditPrimaryKeys = "ProductId"
		AxpDataGrid2.FormCellWidths = "100,300"
    AxpDataGrid2.DisplayNavBar = "both"
		AxpDataGrid2.DisplayRecordsPerPageSelect = False
		AxpDataGrid2.AddEditLookup("SupplierId", "Suppliers", "SupplierId", "CompanyName", "2", False)
		AxpDataGrid2.AddEditLookup("CategoryId", "Categories", "CategoryId", "CategoryName", "2", False)

		' Setting Productname to a required field since the grid is unable to detect it on some Access databases
		Dim efi As Axezz.WebControls.EditFieldItem = New Axezz.WebControls.EditFieldItem
		efi.ColumnName = "ProductName"
		efi.Required = True
		AxpDataGrid2.SetEditField(efi)
	End Sub

	Private Sub RefreshGrid1()
		AxpDataGrid1.UseDataBinding = True
		AxpDataGrid1.AxConnection.Connection.Close()
		AxpDataGrid1.AxConnection.Connection.Open()
		AxpDataGrid1.RecordCount = -1		' force a recount 
		AxpDataGrid1.DataBind()
		AxpDataGrid1.UseDataBinding = False
	End Sub

	Protected Sub AxpDataGrid2_DeleteClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid2.DeleteClick
		RefreshGrid1()
	End Sub

	Protected Sub AxpDataGrid2_InsertClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid2.InsertClick
		RefreshGrid1()
	End Sub

	Protected Sub AxpDataGrid2_UpdateClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid2.UpdateClick
		RefreshGrid1()
	End Sub

End Class
