Imports System.Configuration.ConfigurationManager

Partial Class Sample15
	Inherits System.Web.UI.Page

	Private Property PreviousWhereClause() As String
		Get
			Dim o As Object = ViewState("PreviousWhereClause")
			If o Is Nothing Then
				Return String.Empty
			Else
				Return CStr(o)
			End If
		End Get
		Set(ByVal Value As String)
			ViewState("PreviousWhereClause") = Value
		End Set
	End Property

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")
		' as HtmlControls values are available in the Page Load event we can just go ahead.
		InitGrid()
	End Sub

	Private Sub InitGrid()
		Dim sql As String = "Select * From Products"
		Dim whereClause As String = String.Empty
		If Trim(ProductName.Value) <> String.Empty Then
			whereClause = " Where ProductName Like '" + Trim(ProductName.Value).Replace("'", "''") + "%'"
		End If
		If Trim(SupplierID.Value) <> String.Empty Then
			Dim intSupplierId As Integer
			If Integer.TryParse(SupplierID.Value, intSupplierId) Then
				If whereClause.Length = 0 Then
					whereClause = " Where"
				Else
					whereClause = whereClause + " And"
				End If
				whereClause = whereClause + " SupplierID=" + intSupplierId.ToString()
			End If
		End If
		sql = sql + whereClause
		AxpDataGrid1.SQL = sql

		If PreviousWhereClause <> sql Then
			' We keep the previous sql in a ViewState variable and resets the AxpDataGrid "state" if the SQL has changed.
			AxpDataGrid1.ClearState = True
		End If
		PreviousWhereClause = sql
	End Sub

End Class
