Imports System.Configuration.ConfigurationManager

Partial Class Sample17
	Inherits System.Web.UI.Page

	Private Property CategoryID() As String
		Get
			Dim o As Object = ViewState("CategoryID")
			If o Is Nothing Then
				Return String.Empty
			Else
				Return CStr(o)
			End If
		End Get
		Set(ByVal Value As String)
			ViewState("CategoryID") = Value
		End Set
	End Property

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")
		AxpDataGrid2.ConnectionString = AppSettings("ConnectionString")

		' Setting CategoryName to a required field since the grid is unable to detect it on some Access databases
		Dim efi As Axezz.WebControls.EditFieldItem = New Axezz.WebControls.EditFieldItem
		efi.ColumnName = "CategoryName"
		efi.Required = True
		AxpDataGrid1.SetEditField(efi)
	End Sub

	Protected Sub AxpDataGrid1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid1.Load
		If Not AxpDataGrid1.CurrentDataRow Is Nothing Then
			AxpDataGrid2.Visible = True

			Dim catId As Integer = AxpDataGrid1.CurrentDataRow.Item("CategoryID")
			AxpDataGrid2.SQL = "Select * from Products Where CategoryID=" + catId.ToString()
			If CategoryID <> catId.ToString() Then
				AxpDataGrid2.ClearState = True
			End If
			CategoryID = catId.ToString()

			Dim efi1 As New Axezz.WebControls.EditFieldItem
			With efi1
				.ColumnName = "CategoryID"
				.DefaultValue = CategoryID
				.IsReadOnly = True
			End With
			AxpDataGrid2.SetEditField(efi1)

			' Setting Productname to a required field since the grid is unable to detect it on some Access databases
			Dim efi2 As Axezz.WebControls.EditFieldItem = New Axezz.WebControls.EditFieldItem
			efi2.ColumnName = "ProductName"
			efi2.Required = True
			AxpDataGrid2.SetEditField(efi2)
		Else
			AxpDataGrid2.Visible = False
		End If
	End Sub
End Class
