Imports System.Configuration.ConfigurationManager

Partial Class Sample19
	Inherits System.Web.UI.Page

	Private validationFailed As Boolean = False

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		AxpDataGrid1.ConnectionString = AppSettings("ConnectionString")

		AxpDataGrid1.UseDataBinding = True
		ErrorMessageLabel.Visible = False
	End Sub

	Private Sub ValidateUpdate()
		If AxpDataGrid1.GetUpdateValue("Country") <> "USA" And AxpDataGrid1.GetUpdateValue("Country") <> "UK" Then

			AxpDataGrid1.EditPerformUpdates = False
			validationFailed = True

			' Show error message in an asp.net label above the grid
			ErrorMessageLabel.Text = "Only USA and UK allowed in Country Field!<br><br>"
			ErrorMessageLabel.Visible = True

			' Show error message below the input text field.
			Dim edit1 As New Axezz.WebControls.EditFieldItem
			With edit1
				.ColumnName = "Country"
				.HtmlAfter = "<font color='red'><strong>&nbsp;Only USA and UK allowed in Country Field</strong></font>"
			End With
			AxpDataGrid1.SetEditField(edit1)
		End If
	End Sub

	Protected Sub AxpDataGrid1_InsertClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid1.InsertClick
		ValidateUpdate()
	End Sub

	Protected Sub AxpDataGrid1_UpdateClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxpDataGrid1.UpdateClick
		ValidateUpdate()
	End Sub

	Protected Sub Page_PreRender(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreRender
		AxpDataGrid1.DataBind()
		AxpDataGrid1.ShowPostedValues = validationFailed
  End Sub

End Class
